apt: PackageManagerProgressFd Class Reference

apt 3.0.1 commandline package manager

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PackageManagerProgressFd Class Reference
Inheritance diagram for PackageManagerProgressFd:

## Public Member Functions
| PackageManagerProgressFd (int progress_fd)
void | StartDpkg () override
void | Stop () override
bool | StatusChanged (std::string PackageName, unsigned int StepsDone, unsigned int TotalSteps, std::string HumanReadableAction) override
void | Error (std::string PackageName, unsigned int StepsDone, unsigned int TotalSteps, std::string ErrorMessage) override
void | ConffilePrompt (std::string PackageName, unsigned int StepsDone, unsigned int TotalSteps, std::string ConfMessage) override
Public Member Functions inherited from PackageManager
virtual void | Start (int=-1)
virtual pid_t | fork ()
virtual void | Pulse ()
virtual long | GetPulseInterval ()

## Protected Member Functions
void | WriteToStatusFd (std::string msg)

## Protected Attributes
int | OutStatusFd
int | StepsDone
int | StepsTotal
Protected Attributes inherited from PackageManager
std::string | progress_str
float | percentage
int | last_reported_progress

## Member Function Documentation

## ◆ ConffilePrompt()

void ConffilePrompt | ( | std::string | PackageName,
|  | unsigned int | StepsDone,
|  | unsigned int | TotalSteps,
|  | std::string | ConfMessage )
| overridevirtual

Reimplemented from PackageManager.

## ◆ Error()

void Error | ( | std::string | PackageName,
|  | unsigned int | StepsDone,
|  | unsigned int | TotalSteps,
|  | std::string | ErrorMessage )
| overridevirtual

Reimplemented from PackageManager.

## ◆ StartDpkg()

void StartDpkg | ( |  | ) |
| overridevirtual

Todo
  use SetCloseExec here once it taught about throwing

Reimplemented from PackageManager.

References StartDpkg().

Referenced by StartDpkg().

## ◆ StatusChanged()

bool StatusChanged | ( | std::string | PackageName,
|  | unsigned int | StepsDone,
|  | unsigned int | TotalSteps,
|  | std::string | HumanReadableAction )
| overridevirtual

Reimplemented from PackageManager.

## ◆ Stop()

void Stop | ( |  | ) |
| overridevirtual

Reimplemented from PackageManager.

The documentation for this class was generated from the following files:

- apt-pkg/install-progress.h
- apt-pkg/install-progress.cc